## org.eclipse.datatools.enablement.sybase.asa.actions
Class ProfileASAMultiDBAction

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.actions.ProfileASAMultiDBAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class ProfileASAMultiDBAction

extends java.lang.Object
implements org.eclipse.ui.IObjectActionDelegate

Exposes a dialog to create multiple profiles if an ASA profile exposes multiple databases.

Author:
  brianf

Constructor Summary
`ProfileASAMultiDBAction()`

Method Summary
`boolean` `performFinish(IConnectionProfile profile, java.lang.String[] dbnames)`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `setActivePart(org.eclipse.jface.action.IAction action, org.eclipse.ui.IWorkbenchPart targetPart)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProfileASAMultiDBAction

    public ProfileASAMultiDBAction()

Method Detail

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### performFinish

    public boolean performFinish(IConnectionProfile profile,
                                 java.lang.String[] dbnames)

  Parameters:
    `profile` -
    `dbnames` -
  Returns:

### setActivePart

    public void setActivePart(org.eclipse.jface.action.IAction action,
                              org.eclipse.ui.IWorkbenchPart targetPart)

  Specified by:
    `setActivePart` in interface `org.eclipse.ui.IObjectActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`